#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'createtemplate.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "createtemplate.h"

#include <ntqvariant.h>
#include <ntqlabel.h>
#include <ntqlineedit.h>
#include <ntqlistbox.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a CreateTemplate as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
CreateTemplate::CreateTemplate( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "CreateTemplate" );
    setSizeGripEnabled( TRUE );
    CreateTemplateLayout = new TQGridLayout( this, 1, 1, 11, 6, "CreateTemplateLayout"); 

    TextLabel1 = new TQLabel( this, "TextLabel1" );

    CreateTemplateLayout->addWidget( TextLabel1, 0, 0 );

    editName = new TQLineEdit( this, "editName" );

    CreateTemplateLayout->addWidget( editName, 0, 1 );

    listClass = new TQListBox( this, "listClass" );

    CreateTemplateLayout->addMultiCellWidget( listClass, 1, 2, 1, 1 );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 
    Spacer1 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Spacer1 );

    buttonCreate = new TQPushButton( this, "buttonCreate" );
    buttonCreate->setDefault( TRUE );
    Layout1->addWidget( buttonCreate );

    PushButton1 = new TQPushButton( this, "PushButton1" );
    Layout1->addWidget( PushButton1 );

    CreateTemplateLayout->addMultiCellLayout( Layout1, 3, 3, 0, 1 );

    TextLabel2 = new TQLabel( this, "TextLabel2" );

    CreateTemplateLayout->addWidget( TextLabel2, 1, 0 );
    Spacer2 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    CreateTemplateLayout->addItem( Spacer2, 2, 0 );
    languageChange();
    resize( TQSize(347, 248).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonCreate, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( PushButton1, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );

    // buddies
    TextLabel1->setBuddy( editName );
    TextLabel2->setBuddy( listClass );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CreateTemplate::~CreateTemplate()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CreateTemplate::languageChange()
{
    setCaption( tr2i18n( "Create Template" ) );
    TextLabel1->setText( tr2i18n( "Template &name:" ) );
    TQToolTip::add( editName, tr2i18n( "Name of the new template" ) );
    TQWhatsThis::add( editName, tr2i18n( "Enter the name of the new template" ) );
    TQToolTip::add( listClass, tr2i18n( "Class of the new template" ) );
    TQWhatsThis::add( listClass, tr2i18n( "Enter the name of the class which should be used as the template's base class" ) );
    buttonCreate->setText( tr2i18n( "C&reate" ) );
    TQWhatsThis::add( buttonCreate, tr2i18n( "Creates the new template" ) );
    PushButton1->setText( tr2i18n( "&Cancel" ) );
    TQWhatsThis::add( PushButton1, tr2i18n( "Closes the Dialog" ) );
    TextLabel2->setText( tr2i18n( "&Baseclass for template:" ) );
}

/****************************************************************************
** CreateTemplate meta object code from reading C++ file 'createtemplate.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "createtemplate.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *CreateTemplate::className() const
{
    return "CreateTemplate";
}

TQMetaObject *CreateTemplate::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_CreateTemplate( "CreateTemplate", &CreateTemplate::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString CreateTemplate::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "CreateTemplate", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString CreateTemplate::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "CreateTemplate", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* CreateTemplate::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"CreateTemplate", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_CreateTemplate.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* CreateTemplate::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CreateTemplate" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool CreateTemplate::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool CreateTemplate::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool CreateTemplate::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool CreateTemplate::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
