#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'framewizards.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "framewizards.h"

#include <ntqvariant.h>
#include <visualframeeditor.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include <ntqimage.h>
#include <ntqpixmap.h>

/*
 *  Constructs a FrameWizardS as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
FrameWizardS::FrameWizardS( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "FrameWizardS" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( TQSize( 0, 0 ) );
    setMaximumSize( TQSize( 32767, 32767 ) );
    FrameWizardSLayout = new TQGridLayout( this, 1, 1, 11, 6, "FrameWizardSLayout"); 

    Layout2 = new TQHBoxLayout( 0, 0, 6, "Layout2"); 

    pbHelp = new TQPushButton( this, "pbHelp" );
    Layout2->addWidget( pbHelp );
    Spacer1 = new TQSpacerItem( 30, 0, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout2->addItem( Spacer1 );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 

    pbOk = new TQPushButton( this, "pbOk" );
    Layout1->addWidget( pbOk );

    pbCancel = new TQPushButton( this, "pbCancel" );
    Layout1->addWidget( pbCancel );
    Layout2->addLayout( Layout1 );

    FrameWizardSLayout->addLayout( Layout2, 1, 0 );

    Layout11 = new TQHBoxLayout( 0, 0, 6, "Layout11"); 

    Layout9 = new TQVBoxLayout( 0, 0, 6, "Layout9"); 

    tl = new TQLabel( this, "tl" );
    Layout9->addWidget( tl );
    Spacer6 = new TQSpacerItem( 0, 30, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Layout9->addItem( Spacer6 );

    ButtonGroup4 = new TQButtonGroup( this, "ButtonGroup4" );
    ButtonGroup4->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, ButtonGroup4->sizePolicy().hasHeightForWidth() ) );
    ButtonGroup4->setColumnLayout(0, TQt::Vertical );
    ButtonGroup4->layout()->setSpacing( 6 );
    ButtonGroup4->layout()->setMargin( 11 );
    ButtonGroup4Layout = new TQGridLayout( ButtonGroup4->layout() );
    ButtonGroup4Layout->setAlignment( TQt::AlignTop );

    pbVertical = new TQPushButton( ButtonGroup4, "pbVertical" );

    ButtonGroup4Layout->addWidget( pbVertical, 1, 0 );

    pbHorizontal = new TQPushButton( ButtonGroup4, "pbHorizontal" );

    ButtonGroup4Layout->addWidget( pbHorizontal, 0, 0 );
    Layout9->addWidget( ButtonGroup4 );
    Spacer9 = new TQSpacerItem( 0, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Layout9->addItem( Spacer9 );

    ButtonGroup5 = new TQButtonGroup( this, "ButtonGroup5" );
    ButtonGroup5->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, ButtonGroup5->sizePolicy().hasHeightForWidth() ) );
    ButtonGroup5->setColumnLayout(0, TQt::Vertical );
    ButtonGroup5->layout()->setSpacing( 6 );
    ButtonGroup5->layout()->setMargin( 11 );
    ButtonGroup5Layout = new TQGridLayout( ButtonGroup5->layout() );
    ButtonGroup5Layout->setAlignment( TQt::AlignTop );

    pbEditFrame = new TQPushButton( ButtonGroup5, "pbEditFrame" );

    ButtonGroup5Layout->addWidget( pbEditFrame, 2, 0 );

    pbDelete = new TQPushButton( ButtonGroup5, "pbDelete" );
    pbDelete->setEnabled( TRUE );

    ButtonGroup5Layout->addWidget( pbDelete, 1, 0 );

    pbReset = new TQPushButton( ButtonGroup5, "pbReset" );
    pbReset->setEnabled( TRUE );

    ButtonGroup5Layout->addWidget( pbReset, 0, 0 );
    Layout9->addWidget( ButtonGroup5 );
    Spacer5 = new TQSpacerItem( 0, 30, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Layout9->addItem( Spacer5 );
    Layout11->addLayout( Layout9 );

    vfe = new VisualFrameEditor( this, "vfe" );
    vfe->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)3, 0, 0, vfe->sizePolicy().hasHeightForWidth() ) );
    vfe->setFocusPolicy( VisualFrameEditor::ClickFocus );
    Layout11->addWidget( vfe );

    FrameWizardSLayout->addLayout( Layout11, 0, 0 );
    languageChange();
    resize( TQSize(640, 482).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pbCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( close() ) );
    connect( pbOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FrameWizardS::~FrameWizardS()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FrameWizardS::languageChange()
{
    setCaption( tr2i18n( "Frame Wizard" ) );
    pbHelp->setText( tr2i18n( "&Help" ) );
    pbOk->setText( tr2i18n( "&OK" ) );
    pbCancel->setText( tr2i18n( "&Cancel" ) );
    ButtonGroup4->setTitle( tr2i18n( "Splitting" ) );
    pbVertical->setText( tr2i18n( "Vertical" ) );
    pbHorizontal->setText( tr2i18n( "Horizontal" ) );
    ButtonGroup5->setTitle( tr2i18n( "Editing" ) );
    pbEditFrame->setText( tr2i18n( "Edit Frame" ) );
    pbDelete->setText( tr2i18n( "Delete" ) );
    pbReset->setText( tr2i18n( "Reset" ) );
}

/****************************************************************************
** FrameWizardS meta object code from reading C++ file 'framewizards.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "framewizards.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *FrameWizardS::className() const
{
    return "FrameWizardS";
}

TQMetaObject *FrameWizardS::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_FrameWizardS( "FrameWizardS", &FrameWizardS::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString FrameWizardS::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "FrameWizardS", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString FrameWizardS::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "FrameWizardS", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* FrameWizardS::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"FrameWizardS", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_FrameWizardS.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* FrameWizardS::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "FrameWizardS" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool FrameWizardS::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool FrameWizardS::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool FrameWizardS::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool FrameWizardS::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
