#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'plugineditor.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "plugineditor.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqgroupbox.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqlineedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a PluginEditor as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PluginEditor::PluginEditor( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "pluginEditor" );
    setMinimumSize( TQSize( 500, 224 ) );
    pluginEditorLayout = new TQGridLayout( this, 1, 1, 11, 6, "pluginEditorLayout"); 

    TextLabel6 = new TQLabel( this, "TextLabel6" );

    pluginEditorLayout->addWidget( TextLabel6, 0, 0 );

    GroupBox3 = new TQGroupBox( this, "GroupBox3" );
    GroupBox3->setColumnLayout(0, TQt::Vertical );
    GroupBox3->layout()->setSpacing( 6 );
    GroupBox3->layout()->setMargin( 11 );
    GroupBox3Layout = new TQGridLayout( GroupBox3->layout() );
    GroupBox3Layout->setAlignment( TQt::AlignTop );

    pluginList = new TQListView( GroupBox3, "pluginList" );
    pluginList->addColumn( tr2i18n( "Name" ) );
    pluginList->addColumn( tr2i18n( "Valid" ) );
    pluginList->addColumn( tr2i18n( "Location" ) );
    pluginList->addColumn( tr2i18n( "File Name" ) );
    pluginList->addColumn( tr2i18n( "Output Window" ) );

    GroupBox3Layout->addMultiCellWidget( pluginList, 0, 4, 1, 1 );

    addButton = new TQPushButton( GroupBox3, "addButton" );
    addButton->setDefault( TRUE );

    GroupBox3Layout->addWidget( addButton, 0, 0 );

    configureButton = new TQPushButton( GroupBox3, "configureButton" );

    GroupBox3Layout->addWidget( configureButton, 1, 0 );

    removeButton = new TQPushButton( GroupBox3, "removeButton" );

    GroupBox3Layout->addWidget( removeButton, 2, 0 );
    Spacer2 = new TQSpacerItem( 20, 67, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    GroupBox3Layout->addItem( Spacer2, 3, 0 );

    refreshButton = new TQPushButton( GroupBox3, "refreshButton" );

    GroupBox3Layout->addWidget( refreshButton, 4, 0 );

    pluginEditorLayout->addMultiCellWidget( GroupBox3, 1, 1, 0, 2 );

    addSearchPathButton = new TQPushButton( this, "addSearchPathButton" );

    pluginEditorLayout->addWidget( addSearchPathButton, 0, 2 );

    searchPaths = new TQLineEdit( this, "searchPaths" );

    pluginEditorLayout->addWidget( searchPaths, 0, 1 );
    languageChange();
    resize( TQSize(662, 306).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( searchPaths, addSearchPathButton );
    setTabOrder( addSearchPathButton, addButton );
    setTabOrder( addButton, configureButton );
    setTabOrder( configureButton, removeButton );
    setTabOrder( removeButton, refreshButton );
    setTabOrder( refreshButton, pluginList );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PluginEditor::~PluginEditor()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PluginEditor::languageChange()
{
    setCaption( tr2i18n( "Edit Plugins" ) );
    TextLabel6->setText( tr2i18n( "Search paths:" ) );
    GroupBox3->setTitle( tr2i18n( "Plugins" ) );
    pluginList->header()->setLabel( 0, tr2i18n( "Name" ) );
    pluginList->header()->setLabel( 1, tr2i18n( "Valid" ) );
    pluginList->header()->setLabel( 2, tr2i18n( "Location" ) );
    pluginList->header()->setLabel( 3, tr2i18n( "File Name" ) );
    pluginList->header()->setLabel( 4, tr2i18n( "Output Window" ) );
    addButton->setText( tr2i18n( "Add..." ) );
    configureButton->setText( tr2i18n( "Configure..." ) );
    removeButton->setText( tr2i18n( "Remove" ) );
    refreshButton->setText( tr2i18n( "Refresh" ) );
    addSearchPathButton->setText( tr2i18n( "Add..." ) );
}

/****************************************************************************
** PluginEditor meta object code from reading C++ file 'plugineditor.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "plugineditor.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *PluginEditor::className() const
{
    return "PluginEditor";
}

TQMetaObject *PluginEditor::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_PluginEditor( "PluginEditor", &PluginEditor::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString PluginEditor::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "PluginEditor", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString PluginEditor::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "PluginEditor", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* PluginEditor::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"PluginEditor", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_PluginEditor.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* PluginEditor::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "PluginEditor" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool PluginEditor::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool PluginEditor::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool PluginEditor::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool PluginEditor::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
