#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'multilineeditor.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "multilineeditor.h"

#include <ntqvariant.h>
#include <ntqlabel.h>
#include <ntqmultilineedit.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a MultiLineEditorBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
MultiLineEditorBase::MultiLineEditorBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "MultiLineEditorBase" );
    setSizeGripEnabled( TRUE );
    MultiLineEditorBaseLayout = new TQVBoxLayout( this, 11, 6, "MultiLineEditorBaseLayout"); 

    TextLabel1 = new TQLabel( this, "TextLabel1" );
    MultiLineEditorBaseLayout->addWidget( TextLabel1 );

    preview = new TQMultiLineEdit( this, "preview" );
    preview->setWordWrap( TQMultiLineEdit::WidgetWidth );
    MultiLineEditorBaseLayout->addWidget( preview );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new TQPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonApply = new TQPushButton( this, "buttonApply" );
    buttonApply->setAutoDefault( TRUE );
    Layout1->addWidget( buttonApply );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );
    MultiLineEditorBaseLayout->addLayout( Layout1 );
    languageChange();
    resize( TQSize(421, 275).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( okClicked() ) );
    connect( buttonApply, TQ_SIGNAL( clicked() ), this, TQ_SLOT( applyClicked() ) );

    // buddies
    TextLabel1->setBuddy( preview );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MultiLineEditorBase::~MultiLineEditorBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MultiLineEditorBase::languageChange()
{
    setCaption( tr2i18n( "Edit Multiline Edit" ) );
    TQWhatsThis::add( this, tr2i18n( "<b>Edit Multiline Edit</b><p>Enter the text and click the <b>OK</b>-Button to apply the changes.</p>" ) );
    TextLabel1->setText( tr2i18n( "&Text:" ) );
    TQWhatsThis::add( preview, tr2i18n( "Enter your text here." ) );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    TQWhatsThis::add( buttonOk, tr2i18n( "Close the dialog and apply all the changes." ) );
    buttonApply->setText( tr2i18n( "&Apply" ) );
    TQWhatsThis::add( buttonApply, tr2i18n( "Apply all changes." ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    TQWhatsThis::add( buttonCancel, tr2i18n( "Close the dialog and discard any changes." ) );
}

void MultiLineEditorBase::applyClicked()
{
    tqWarning( "MultiLineEditorBase::applyClicked(): Not implemented yet" );
}

void MultiLineEditorBase::okClicked()
{
    tqWarning( "MultiLineEditorBase::okClicked(): Not implemented yet" );
}

/****************************************************************************
** MultiLineEditorBase meta object code from reading C++ file 'multilineeditor.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "multilineeditor.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *MultiLineEditorBase::className() const
{
    return "MultiLineEditorBase";
}

TQMetaObject *MultiLineEditorBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_MultiLineEditorBase( "MultiLineEditorBase", &MultiLineEditorBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString MultiLineEditorBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "MultiLineEditorBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString MultiLineEditorBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "MultiLineEditorBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* MultiLineEditorBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"applyClicked", 0, 0 };
    static const TQUMethod slot_2 = {"okClicked", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "applyClicked()", &slot_1, TQMetaData::Protected },
	{ "okClicked()", &slot_2, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"MultiLineEditorBase", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_MultiLineEditorBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* MultiLineEditorBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "MultiLineEditorBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool MultiLineEditorBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: applyClicked(); break;
    case 2: okClicked(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool MultiLineEditorBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool MultiLineEditorBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool MultiLineEditorBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
