#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dirtydialog.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dirtydialog.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a DirtyDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DirtyDialog::DirtyDialog( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "DirtyDialog" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( TQSize( 400, 220 ) );
    DirtyDialogLayout = new TQGridLayout( this, 1, 1, 11, 6, "DirtyDialogLayout"); 

    textLabel = new TQLabel( this, "textLabel" );
    textLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)1, 0, 0, textLabel->sizePolicy().hasHeightForWidth() ) );

    DirtyDialogLayout->addWidget( textLabel, 0, 0 );

    ButtonGroup2 = new TQButtonGroup( this, "ButtonGroup2" );
    ButtonGroup2->setColumnLayout(0, TQt::Vertical );
    ButtonGroup2->layout()->setSpacing( 6 );
    ButtonGroup2->layout()->setMargin( 11 );
    ButtonGroup2Layout = new TQGridLayout( ButtonGroup2->layout() );
    ButtonGroup2Layout->setAlignment( TQt::AlignTop );

    buttonIgnore = new TQRadioButton( ButtonGroup2, "buttonIgnore" );

    ButtonGroup2Layout->addMultiCellWidget( buttonIgnore, 2, 2, 0, 1 );

    buttonLoad = new TQRadioButton( ButtonGroup2, "buttonLoad" );

    ButtonGroup2Layout->addMultiCellWidget( buttonLoad, 1, 1, 0, 1 );

    warningLabel = new TQLabel( ButtonGroup2, "warningLabel" );
    warningLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)5, 0, 0, warningLabel->sizePolicy().hasHeightForWidth() ) );
    warningLabel->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    ButtonGroup2Layout->addWidget( warningLabel, 3, 1 );
    Spacer2 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    ButtonGroup2Layout->addItem( Spacer2, 3, 0 );

    buttonCompare = new TQRadioButton( ButtonGroup2, "buttonCompare" );
    buttonCompare->setChecked( TRUE );

    ButtonGroup2Layout->addMultiCellWidget( buttonCompare, 0, 0, 0, 1 );

    DirtyDialogLayout->addWidget( ButtonGroup2, 1, 0 );
    languageChange();
    resize( TQSize(609, 288).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( buttonCompare, buttonIgnore );
    setTabOrder( buttonIgnore, buttonLoad );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DirtyDialog::~DirtyDialog()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DirtyDialog::languageChange()
{
    setCaption( tr2i18n( "File Changed" ) );
    textLabel->setText( tr2i18n( "The file was changed outside of the Quanta editor." ) );
    ButtonGroup2->setTitle( tr2i18n( " How Do You Want to Proceed?" ) );
    buttonIgnore->setText( tr2i18n( "&Do not load the modified version from disk" ) );
    buttonLoad->setText( tr2i18n( "&Use the version from disk (will lose the current content)" ) );
    warningLabel->setText( tr2i18n( "(If you later save the document, you will lose what was on the disk.)" ) );
    buttonCompare->setText( tr2i18n( "&Compare the two versions and load the result" ) );
    TQToolTip::add( buttonCompare, tr2i18n( "Use Kompare if available. Otherwise this checkbox is disabled." ) );
}

/****************************************************************************
** DirtyDialog meta object code from reading C++ file 'dirtydialog.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "dirtydialog.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *DirtyDialog::className() const
{
    return "DirtyDialog";
}

TQMetaObject *DirtyDialog::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_DirtyDialog( "DirtyDialog", &DirtyDialog::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString DirtyDialog::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DirtyDialog", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString DirtyDialog::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DirtyDialog", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* DirtyDialog::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"DirtyDialog", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_DirtyDialog.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* DirtyDialog::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DirtyDialog" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool DirtyDialog::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool DirtyDialog::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool DirtyDialog::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool DirtyDialog::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
