#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dtdselectdialog.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dtdselectdialog.h"

#include <ntqvariant.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqlineedit.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a DTDSelectDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DTDSelectDialog::DTDSelectDialog( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "DTDSelectDialog" );
    setMinimumSize( TQSize( 440, 160 ) );
    DTDSelectDialogLayout = new TQGridLayout( this, 1, 1, 11, 6, "DTDSelectDialogLayout"); 

    messageLabel = new TQLabel( this, "messageLabel" );
    messageLabel->setScaledContents( TRUE );
    messageLabel->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    DTDSelectDialogLayout->addMultiCellWidget( messageLabel, 0, 0, 0, 1 );

    dtdCombo = new TQComboBox( FALSE, this, "dtdCombo" );

    DTDSelectDialogLayout->addWidget( dtdCombo, 1, 1 );

    textLabel = new TQLabel( this, "textLabel" );

    DTDSelectDialogLayout->addWidget( textLabel, 2, 0 );

    comboLabel = new TQLabel( this, "comboLabel" );

    DTDSelectDialogLayout->addWidget( comboLabel, 1, 0 );

    currentDTD = new TQLineEdit( this, "currentDTD" );
    currentDTD->setReadOnly( TRUE );

    DTDSelectDialogLayout->addWidget( currentDTD, 2, 1 );

    convertDTD = new TQCheckBox( this, "convertDTD" );

    DTDSelectDialogLayout->addMultiCellWidget( convertDTD, 3, 3, 0, 1 );

    useClosestMatching = new TQCheckBox( this, "useClosestMatching" );

    DTDSelectDialogLayout->addMultiCellWidget( useClosestMatching, 4, 4, 0, 1 );
    languageChange();
    resize( TQSize(440, 161).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( dtdCombo, currentDTD );
    setTabOrder( currentDTD, convertDTD );
    setTabOrder( convertDTD, useClosestMatching );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
DTDSelectDialog::~DTDSelectDialog()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DTDSelectDialog::languageChange()
{
    setCaption( tr2i18n( "DTD Selector" ) );
    messageLabel->setText( tr2i18n( "Dialog message:\n"
"Dialog message2:" ) );
    textLabel->setText( tr2i18n( "Current DTD:" ) );
    comboLabel->setText( tr2i18n( "Select DTD:" ) );
    convertDTD->setText( tr2i18n( "Conver&t the document to the selected DTD" ) );
    useClosestMatching->setText( tr2i18n( "Do not show this dialog, use the closest matching DTD" ) );
}

void DTDSelectDialog::init()
{
}

/****************************************************************************
** DTDSelectDialog meta object code from reading C++ file 'dtdselectdialog.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "dtdselectdialog.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *DTDSelectDialog::className() const
{
    return "DTDSelectDialog";
}

TQMetaObject *DTDSelectDialog::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_DTDSelectDialog( "DTDSelectDialog", &DTDSelectDialog::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString DTDSelectDialog::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DTDSelectDialog", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString DTDSelectDialog::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DTDSelectDialog", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* DTDSelectDialog::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"init", 0, 0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "init()", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"DTDSelectDialog", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_DTDSelectDialog.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* DTDSelectDialog::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DTDSelectDialog" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool DTDSelectDialog::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: init(); break;
    case 1: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool DTDSelectDialog::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool DTDSelectDialog::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool DTDSelectDialog::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
