#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'styleoptionss.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "styleoptionss.h"

#include <ntqvariant.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a StyleOptionsS as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
StyleOptionsS::StyleOptionsS( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "StyleOptionsS" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( TQSize( 410, 250 ) );
    StyleOptionsSLayout = new TQGridLayout( this, 1, 1, 11, 6, "StyleOptionsSLayout"); 

    TextLabel3 = new TQLabel( this, "TextLabel3" );

    StyleOptionsSLayout->addWidget( TextLabel3, 2, 0 );

    attributeQuotation = new TQComboBox( FALSE, this, "attributeQuotation" );

    StyleOptionsSLayout->addWidget( attributeQuotation, 2, 1 );

    TextLabel1 = new TQLabel( this, "TextLabel1" );

    StyleOptionsSLayout->addWidget( TextLabel1, 0, 0 );

    TextLabel2 = new TQLabel( this, "TextLabel2" );

    StyleOptionsSLayout->addWidget( TextLabel2, 1, 0 );

    attributeCase = new TQComboBox( FALSE, this, "attributeCase" );

    StyleOptionsSLayout->addWidget( attributeCase, 1, 1 );

    optionalTagAutoClose = new TQCheckBox( this, "optionalTagAutoClose" );

    StyleOptionsSLayout->addMultiCellWidget( optionalTagAutoClose, 3, 3, 0, 1 );

    tagCase = new TQComboBox( FALSE, this, "tagCase" );

    StyleOptionsSLayout->addWidget( tagCase, 0, 1 );

    tagAutoClose = new TQCheckBox( this, "tagAutoClose" );

    StyleOptionsSLayout->addMultiCellWidget( tagAutoClose, 4, 4, 0, 1 );
    spacer1 = new TQSpacerItem( 20, 30, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    StyleOptionsSLayout->addItem( spacer1, 8, 0 );

    tagUpdateClosing = new TQCheckBox( this, "tagUpdateClosing" );

    StyleOptionsSLayout->addMultiCellWidget( tagUpdateClosing, 6, 6, 0, 1 );

    useAutoCompletion = new TQCheckBox( this, "useAutoCompletion" );
    useAutoCompletion->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, useAutoCompletion->sizePolicy().hasHeightForWidth() ) );

    StyleOptionsSLayout->addMultiCellWidget( useAutoCompletion, 5, 5, 0, 1 );

    replaceAccented = new TQCheckBox( this, "replaceAccented" );

    StyleOptionsSLayout->addMultiCellWidget( replaceAccented, 7, 7, 0, 1 );
    languageChange();
    resize( TQSize(410, 300).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( tagCase, attributeCase );
    setTabOrder( attributeCase, attributeQuotation );
    setTabOrder( attributeQuotation, optionalTagAutoClose );
    setTabOrder( optionalTagAutoClose, tagAutoClose );
    setTabOrder( tagAutoClose, useAutoCompletion );
}

/*
 *  Destroys the object and frees any allocated resources
 */
StyleOptionsS::~StyleOptionsS()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void StyleOptionsS::languageChange()
{
    TextLabel3->setText( tr2i18n( "Attribute quotation:" ) );
    attributeQuotation->clear();
    attributeQuotation->insertItem( tr2i18n( "Double Quotes" ) );
    attributeQuotation->insertItem( tr2i18n( "Single Quotes" ) );
    TextLabel1->setText( tr2i18n( "Tag case:" ) );
    TextLabel2->setText( tr2i18n( "Attribute case:" ) );
    attributeCase->clear();
    attributeCase->insertItem( tr2i18n( "Default Case" ) );
    attributeCase->insertItem( tr2i18n( "Lower Case" ) );
    attributeCase->insertItem( tr2i18n( "Upper Case" ) );
    optionalTagAutoClose->setText( tr2i18n( "Auto-close o&ptional tags" ) );
    tagCase->clear();
    tagCase->insertItem( tr2i18n( "Default Case" ) );
    tagCase->insertItem( tr2i18n( "Lower Case" ) );
    tagCase->insertItem( tr2i18n( "Upper Case" ) );
    tagAutoClose->setText( tr2i18n( "Auto-close &non single and non optional tags" ) );
    tagUpdateClosing->setText( tr2i18n( "&Update opening/closing tag automatically" ) );
    useAutoCompletion->setText( tr2i18n( "Use &auto-completion" ) );
    replaceAccented->setText( tr2i18n( "Automatic &replacement of the accented characters" ) );
    TQWhatsThis::add( replaceAccented, tr2i18n( "If this option is turned on the accented characters, like <b>&#225;</b>, will be automatically replaced  by their unicode style notation, for the above case with <b>&#038;#225;</b>.<br>\n"
"We suggest to leave this option off and use an unicode or locale encoding for your documents." ) );
}

/****************************************************************************
** StyleOptionsS meta object code from reading C++ file 'styleoptionss.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "styleoptionss.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *StyleOptionsS::className() const
{
    return "StyleOptionsS";
}

TQMetaObject *StyleOptionsS::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_StyleOptionsS( "StyleOptionsS", &StyleOptionsS::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString StyleOptionsS::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "StyleOptionsS", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString StyleOptionsS::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "StyleOptionsS", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* StyleOptionsS::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"StyleOptionsS", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_StyleOptionsS.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* StyleOptionsS::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "StyleOptionsS" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool StyleOptionsS::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool StyleOptionsS::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool StyleOptionsS::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool StyleOptionsS::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
